%define beta	rc1_2
%define fbeta	rc1-2

Summary: Advanced Linux Sound Architecture (ALSA) aconnect GUI
Name:    aconnectgui
Version: 0.9.0
Release: 0.10%{beta}mdk
Source0:  ftp://www.iua.upf.es/pub/mdeboer/projects/aconnectgui/%name-%version%fbeta.tar.bz2
Source1: %name.png
Patch0:	aconnectgui-0.9.0rc1-2-fltk.patch.bz2
License: GPL
BuildRoot: %_tmppath/%name-buildroot
Group: Sound
Url:   http://www.iua.upf.es/~mdeboer/projects/aconnectgui/

BuildRequires: kernel-headers >= 2.4.0
BuildRequires: libalsa-devel >= %version, libslang-devel
BuildRequires: fltk-devel >= 1.1
Requires: kernel >= 2.4.18
Requires: libalsa2 >= %version
Requires: slang
Requires: fltk >= 1.1


%description
Aconnectgui is a FLTK based frontend for aconnect. It is written
directly on top of the alsamixer source, leaving the original source
intact, only adding a couple of ifdefs, and some calls to the gui
part, so it provides exactly the same functionality, but with a 
graphical userinterface.


%prep
%setup -q -n %name-%version%fbeta
%patch0 -p0

%build
autoconf
%configure
make all

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# MDK menu entry
mkdir -p $RPM_BUILD_ROOT{%_menudir,%_iconsdir}
install -m 644 %SOURCE1 $RPM_BUILD_ROOT%_iconsdir/
cat << EOF > $RPM_BUILD_ROOT%_menudir/%name
?package(%name): command="%name" icon="%name.png" section="Multimedia/Sound" title="AconnectGUI" longtitle="ALSA connection GUI" needs="x11"
EOF

%post
%update_menus

%postun
%clean_menus


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
%_bindir/%name
%_menudir/%name
%_iconsdir/%name.png

%changelog
* Fri Jul 23 2004 Marcel Pol <mpol@mandrake.org> 0.9.0-0.10rc1_2mdk
- again build against new slang

* Wed Jul 21 2004 Marcel Pol <mpol@mandrake.org> 0.9.0-0.9rc1_2mdk
- build against new slang
- adjust requires

* Fri Jun 11 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.8rc1_2mdk
- rebuild for new g++

* Fri Feb 13 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.7rc1_2mdk
- build release

* Mon Dec 09 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.6rc1_2mdk
- rebuild for new libfltk

* Sat Aug 17 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.5rc1_2mdk
- rebuild for new g++ ABI

* Thu Aug 01 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.4rc1_2mdk
- rebuild for new g++-3.2

* Wed May 29 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.3rc1_2mdk
- add download url
- fix Url
- build release (gcc-3.1 and new fltk)
- fix compilation with gcc-3.1 and new fltk [Patch0]

* Tue May 07 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.2rc1_2mdk
- new release (aka mandrake patches've been merged)

* Fri Apr 26 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.1rc1mdk
- initial package
